// Generated by CoffeeScript 1.10.0

/* 
 * Some Module
 */

(function() {
  var ChildProcess, Fs, Merge, Mv, Temp, Vim2HTML;

  Temp = require('temp');

  Merge = require('merge');

  Mv = require('mv');

  Fs = require('fs');

  ChildProcess = require('child_process');

  Vim2HTML = (function() {
    function Vim2HTML() {}

    Vim2HTML.prototype._defaultOpts = {
      vimExecutable: '/usr/bin/vim',
      syntax: 'c',
      colorscheme: 'delek',
      ignore_folding: 1,
      ignore_conceal: 1,
      use_css: 1,
      number_lines: 1,
      pre_only: 0,
      tabstop: 4
    };

    Vim2HTML.prototype.highlightString = function(inputString, outputFile, opts, cb) {
      var self;
      self = this;
      return Temp.open('node-vim2html', function(err, info) {
        if (err) {
          return cb(err);
        }
        return Fs.writeFile(info.path, inputString, function(err) {
          if (err) {
            return cb(err);
          }
          return self.highlightFile(info.path, outputFile, opts, cb);
        });
      });
    };

    Vim2HTML.prototype.highlightFile = function(inputFile, outputFile, opts, cb) {
      var ref;
      if (typeof outputFile === 'function') {
        ref = [outputFile, null, {}], cb = ref[0], outputFile = ref[1], opts = ref[2];
      }
      if (typeof opts === 'function') {
        cb = opts;
        if (typeof outputFile === 'string') {
          opts = {};
        } else {
          opts = outputFile;
          outputFile = null;
        }
      }
      if (!cb) {
        throw new Error("Must provide callback to #convertFile");
      }
      opts = Merge(this._defaultOpts, opts);
      return this._run_vim(inputFile, opts, function(err, tempOutFile) {
        if (err) {
          return cb(err);
        }
        if (!outputFile) {
          return Fs.readFile(tempOutFile, function(err, data) {
            if (err) {
              return cb(err);
            }
            return cb(null, data.toString());
          });
        } else {
          return Mv(tempOutFile, outputFile, function(err) {
            if (err) {
              return cb(err);
            }
            return cb(null, outputFile);
          });
        }
      });
    };

    Vim2HTML.prototype._run_vim = function(inputFile, opts, cb) {
      var _closePre, _openPre, cmdArgs, reduceCommands, replace, search, tempOutFile, vim;
      reduceCommands = [];
      if (opts.pre_only) {
        _openPre = '<pre';
        _closePre = '<\\/pre>';
        if (opts.use_css) {
          reduceCommands.push("%s/\\%^\\_.*" + _openPre + "/" + _openPre + "/");
        } else {
          reduceCommands.push("%s/<br>//");
          search = '<body bgcolor="\\([^"]\\+\\)" text="\\([^"]\\+\\)"\\_.*<font face="monospace">';
          replace = '<pre style="color: \\2; background-color: \\1">';
          reduceCommands.push("%s/\\%^\\_.*" + search + "/" + replace + "/");
          reduceCommands.push("%s/^<\\/font>/" + _closePre + "/");
        }
        reduceCommands.push("g/^" + _closePre + "/");
        reduceCommands.push("+,$d");
      }
      tempOutFile = Temp.path({
        prefix: 'node-vim2html_',
        suffix: '.html'
      });
      cmdArgs = ["-E", "-s"];
      cmdArgs.push("-c");
      cmdArgs.push(["set rtp^=" + __dirname + "/../vim-rtp", "set t_Co=256", "syntax on", "set syntax=" + opts.syntax, "colorscheme " + opts.colorscheme, "set tabstop=" + opts.tabstop, "let g:html_no_progress=1", "let g:html_ignore_folding=" + opts.ignore_folding, "let g:html_ignore_conceal=" + opts.ignore_conceal, "let g:html_use_css=" + opts.use_css, "let g:html_number_lines=" + opts.number_lines, "TOhtml"].join('|'));
      if (opts.pre_only) {
        cmdArgs.push("-c");
        cmdArgs.push(reduceCommands.join("|"));
      }
      cmdArgs.push("-c");
      cmdArgs.push(["saveas! " + tempOutFile, "qall"].join("|"));
      cmdArgs.push('--');
      cmdArgs.push(inputFile);
      vim = ChildProcess.spawn(opts.vimExecutable, cmdArgs);
      vim.on('error', function(err) {
        return cb(new Error('Could not spawn vim process'));
      });
      return vim.on('close', function(code) {
        if (code !== 0 && code !== 1) {
          return cb(new Error("Vim failed to convert " + inputFile + " [Code: " + code + "]"));
        }
        return cb(null, tempOutFile);
      });
    };

    return Vim2HTML;

  })();

  module.exports = new Vim2HTML();

}).call(this);
